#ifndef _TSIMPLETABLE_
#define _TSIMPLETABLE_

#include "TTable.h"
#include <CStr.h>


class TSimpleTable : public TTable
{
	public:
		GS_API TSimpleTable();
		virtual Boolean GS_API Initialize(short numColsParam);
		virtual void GS_API Free();
		
		Boolean GS_API Specify(short column, char *key);
		Boolean GS_API Specify(short column, double_t &key);
		
		
		Boolean GS_API Get(short column, double_t &d);
		Boolean GS_API Get(short column, CStr31 &c);
		
	protected:
		short		currentRow;
};

#endif // _TSIMPLETABLE_
